package com.usky.sas.common.entity;

import io.swagger.annotations.ApiModelProperty;

public class SearchDeviceInfo {
    @ApiModelProperty("设备ip")
    private String ipAddr;
    @ApiModelProperty("设备网关")
    private String gateway;
    @ApiModelProperty("子网掩码")
    private String netMask;
    @ApiModelProperty("mac地址")
    private String macAddr;
    @ApiModelProperty("设备端口")
    private Integer port;
    @ApiModelProperty("型号")
    private String deviceId;
    @ApiModelProperty("序列号")
    private String serialNo;
    @ApiModelProperty("描述信息")
    private String note;
    @ApiModelProperty("制造商")
    private String oemInfo;
    @ApiModelProperty("已添加")
    private Boolean isAdded;
    @ApiModelProperty("已激活")
    private Boolean isActive;
    @ApiModelProperty("协议编码")
    private Integer protocol;

    public SearchDeviceInfo() {
    }

    public String getIpAddr() {
        return this.ipAddr;
    }

    public String getGateway() {
        return this.gateway;
    }

    public String getNetMask() {
        return this.netMask;
    }

    public String getMacAddr() {
        return this.macAddr;
    }

    public Integer getPort() {
        return this.port;
    }

    public String getDeviceId() {
        return this.deviceId;
    }

    public String getSerialNo() {
        return this.serialNo;
    }

    public String getNote() {
        return this.note;
    }

    public String getOemInfo() {
        return this.oemInfo;
    }

    public Boolean getIsAdded() {
        return this.isAdded;
    }

    public Boolean getIsActive() {
        return this.isActive;
    }

    public Integer getProtocol() {
        return this.protocol;
    }

    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    public void setGateway(String gateway) {
        this.gateway = gateway;
    }

    public void setNetMask(String netMask) {
        this.netMask = netMask;
    }

    public void setMacAddr(String macAddr) {
        this.macAddr = macAddr;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public void setOemInfo(String oemInfo) {
        this.oemInfo = oemInfo;
    }

    public void setIsAdded(Boolean isAdded) {
        this.isAdded = isAdded;
    }

    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }

    public void setProtocol(Integer protocol) {
        this.protocol = protocol;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof SearchDeviceInfo)) {
            return false;
        } else {
            SearchDeviceInfo other = (SearchDeviceInfo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label155: {
                    Object this$ipAddr = this.getIpAddr();
                    Object other$ipAddr = other.getIpAddr();
                    if (this$ipAddr == null) {
                        if (other$ipAddr == null) {
                            break label155;
                        }
                    } else if (this$ipAddr.equals(other$ipAddr)) {
                        break label155;
                    }

                    return false;
                }

                Object this$gateway = this.getGateway();
                Object other$gateway = other.getGateway();
                if (this$gateway == null) {
                    if (other$gateway != null) {
                        return false;
                    }
                } else if (!this$gateway.equals(other$gateway)) {
                    return false;
                }

                Object this$netMask = this.getNetMask();
                Object other$netMask = other.getNetMask();
                if (this$netMask == null) {
                    if (other$netMask != null) {
                        return false;
                    }
                } else if (!this$netMask.equals(other$netMask)) {
                    return false;
                }

                label134: {
                    Object this$macAddr = this.getMacAddr();
                    Object other$macAddr = other.getMacAddr();
                    if (this$macAddr == null) {
                        if (other$macAddr == null) {
                            break label134;
                        }
                    } else if (this$macAddr.equals(other$macAddr)) {
                        break label134;
                    }

                    return false;
                }

                label127: {
                    Object this$port = this.getPort();
                    Object other$port = other.getPort();
                    if (this$port == null) {
                        if (other$port == null) {
                            break label127;
                        }
                    } else if (this$port.equals(other$port)) {
                        break label127;
                    }

                    return false;
                }

                label120: {
                    Object this$deviceId = this.getDeviceId();
                    Object other$deviceId = other.getDeviceId();
                    if (this$deviceId == null) {
                        if (other$deviceId == null) {
                            break label120;
                        }
                    } else if (this$deviceId.equals(other$deviceId)) {
                        break label120;
                    }

                    return false;
                }

                Object this$serialNo = this.getSerialNo();
                Object other$serialNo = other.getSerialNo();
                if (this$serialNo == null) {
                    if (other$serialNo != null) {
                        return false;
                    }
                } else if (!this$serialNo.equals(other$serialNo)) {
                    return false;
                }

                label106: {
                    Object this$note = this.getNote();
                    Object other$note = other.getNote();
                    if (this$note == null) {
                        if (other$note == null) {
                            break label106;
                        }
                    } else if (this$note.equals(other$note)) {
                        break label106;
                    }

                    return false;
                }

                Object this$oemInfo = this.getOemInfo();
                Object other$oemInfo = other.getOemInfo();
                if (this$oemInfo == null) {
                    if (other$oemInfo != null) {
                        return false;
                    }
                } else if (!this$oemInfo.equals(other$oemInfo)) {
                    return false;
                }

                label92: {
                    Object this$isAdded = this.getIsAdded();
                    Object other$isAdded = other.getIsAdded();
                    if (this$isAdded == null) {
                        if (other$isAdded == null) {
                            break label92;
                        }
                    } else if (this$isAdded.equals(other$isAdded)) {
                        break label92;
                    }

                    return false;
                }

                Object this$isActive = this.getIsActive();
                Object other$isActive = other.getIsActive();
                if (this$isActive == null) {
                    if (other$isActive != null) {
                        return false;
                    }
                } else if (!this$isActive.equals(other$isActive)) {
                    return false;
                }

                Object this$protocol = this.getProtocol();
                Object other$protocol = other.getProtocol();
                if (this$protocol == null) {
                    if (other$protocol != null) {
                        return false;
                    }
                } else if (!this$protocol.equals(other$protocol)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof SearchDeviceInfo;
    }

    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        Object $ipAddr = this.getIpAddr();
        result = result * PRIME + ($ipAddr == null ? 43 : $ipAddr.hashCode());
        Object $gateway = this.getGateway();
        result = result * PRIME + ($gateway == null ? 43 : $gateway.hashCode());
        Object $netMask = this.getNetMask();
        result = result * PRIME + ($netMask == null ? 43 : $netMask.hashCode());
        Object $macAddr = this.getMacAddr();
        result = result * PRIME + ($macAddr == null ? 43 : $macAddr.hashCode());
        Object $port = this.getPort();
        result = result * PRIME + ($port == null ? 43 : $port.hashCode());
        Object $deviceId = this.getDeviceId();
        result = result * PRIME + ($deviceId == null ? 43 : $deviceId.hashCode());
        Object $serialNo = this.getSerialNo();
        result = result * PRIME + ($serialNo == null ? 43 : $serialNo.hashCode());
        Object $note = this.getNote();
        result = result * PRIME + ($note == null ? 43 : $note.hashCode());
        Object $oemInfo = this.getOemInfo();
        result = result * PRIME + ($oemInfo == null ? 43 : $oemInfo.hashCode());
        Object $isAdded = this.getIsAdded();
        result = result * PRIME + ($isAdded == null ? 43 : $isAdded.hashCode());
        Object $isActive = this.getIsActive();
        result = result * PRIME + ($isActive == null ? 43 : $isActive.hashCode());
        Object $protocol = this.getProtocol();
        result = result * PRIME + ($protocol == null ? 43 : $protocol.hashCode());
        return result;
    }

    public String toString() {
        return "SearchDeviceInfo(ipAddr=" + this.getIpAddr() + ", gateway=" + this.getGateway() + ", netMask=" + this.getNetMask() + ", macAddr=" + this.getMacAddr() + ", port=" + this.getPort() + ", deviceId=" + this.getDeviceId() + ", serialNo=" + this.getSerialNo() + ", note=" + this.getNote() + ", oemInfo=" + this.getOemInfo() + ", isAdded=" + this.getIsAdded() + ", isActive=" + this.getIsActive() + ", protocol=" + this.getProtocol() + ")";
    }
}

